diff -Naur polipo-1.0.4.orig/Makefile polipo-1.0.4/Makefile
--- polipo-1.0.4.orig/Makefile	2008-01-08 13:56:45.000000000 +0100
+++ polipo-1.0.4/Makefile	2009-09-10 15:23:41.703441052 +0200
@@ -1,7 +1,9 @@
-PREFIX = /usr/local
+PREFIX = /usr
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/man
 INFODIR = $(PREFIX)/info
+CONFDIR = /etc/polipo
+PIDDIR = /var/run/polipo
 LOCAL_ROOT = /usr/share/polipo/www
 DISK_CACHE_ROOT = /var/cache/polipo
 
@@ -89,20 +91,25 @@
 install: install.binary install.man
 
 install.binary: all
-	mkdir -p $(TARGET)$(BINDIR)
-	mkdir -p $(TARGET)$(LOCAL_ROOT)
-	mkdir -p $(TARGET)$(LOCAL_ROOT)/doc
-	rm -f $(TARGET)$(BINDIR)/polipo
-	cp -f polipo $(TARGET)$(BINDIR)/
-	cp -f html/* $(TARGET)$(LOCAL_ROOT)/doc
-	cp -f localindex.html $(TARGET)$(LOCAL_ROOT)/index.html
+	mkdir -p $(DESTDIR)$(CONFDIR)
+	mkdir -p $(DESTDIR)$(PIDDIR)
+	mkdir -p $(DESTDIR)$(BINDIR)
+	mkdir -p $(DESTDIR)$(LOCAL_ROOT)
+	mkdir -p $(DESTDIR)$(LOCAL_ROOT)/doc
+	mkdir -p $(DESTDIR)$(DISK_CACHE_ROOT)
+	rm -f $(DESTDIR)$(BINDIR)/polipo
+	rm -f $(DESTDIR)$(CONFDIR)/config.new
+	cp -f polipo $(DESTDIR)$(BINDIR)/
+	cp -f config.sample $(DESTDIR)$(CONFDIR)/config.new
+	cp -f html/* $(DESTDIR)$(LOCAL_ROOT)/doc
+	cp -f localindex.html $(DESTDIR)$(LOCAL_ROOT)/index.html
 
 install.man: all
-	mkdir -p $(TARGET)$(MANDIR)/man1
-	mkdir -p $(TARGET)$(INFODIR)
-	cp -f polipo.man $(TARGET)$(MANDIR)/man1/polipo.1
-	cp polipo.info $(TARGET)$(INFODIR)/
-	install-info --info-dir=$(TARGET)$(INFODIR) polipo.info
+	mkdir -p $(DESTDIR)$(MANDIR)/man1
+	mkdir -p $(DESTDIR)$(INFODIR)
+	cp -f polipo.man $(DESTDIR)$(MANDIR)/man1/polipo.1
+	cp polipo.info $(DESTDIR)$(INFODIR)/
+	install-info --info-dir=$(DESTDIR)$(INFODIR) polipo.info
 
 
 polipo.info: polipo.texi
